namespace Indotalent.ConfigBackEnd.Attributes;

[AttributeUsage(AttributeTargets.Class | AttributeTargets.Method, AllowMultiple = true, Inherited = true)]
public class AuthorizeAttribute : Attribute
{
    public string Role { get; set; } = string.Empty;
    public string Permission { get; set; } = string.Empty;
    public string Policy { get; set; } = string.Empty;

    public AuthorizeAttribute()
    {
    }

    public AuthorizeAttribute(string role)
    {
        Role = role;
    }
}